Name:           ugrep
Version:        3.8.3
Release:        %autorelease
Summary:        Faster, user-friendly, and compatible grep replacement
License:        BSD
URL:            https://github.com/Genivia/ugrep
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  pcre2-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  xz-devel
BuildRequires:  lz4-devel
BuildRequires:  libzstd-devel

Provides:       bundled(libreflex) = 3.2.8


%description
Ultra fast grep with interactive TUI, fuzzy search, boolean queries, hexdumps
and more: search file systems, source code, text, binary files, archives
(cpio/tar/pax/zip), compressed files (gz/Z/bz2/lzma/xz/lz4/zstd), documents
etc.  A faster, user-friendly and compatible grep replacement.


%prep
%autosetup


%build
%configure
%make_build


%install
%make_install


%check
%make_build test


%files
%license LICENSE.txt
%{_bindir}/ug
%{_bindir}/ugrep
%{_mandir}/man1/ug.1*
%{_mandir}/man1/ugrep.1*
%{_datadir}/ugrep


%changelog
%autochangelog
